package com.zjsgfa.project.zjsgfa.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 设计-区块钻头分析对象 sj_qkztfx
 * 
 * @author
 * @date 2025-07-22
 */
@Data
public class SjQkztfx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 井号 */
//    @Excel(name = "井号")
    private String jh;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    /** 钻头型号 */
    @Excel(name = "钻头型号")
    private String ztxh;

    /** 厂家 */
    @Excel(name = "厂家")
    private String cj;

    /** 外径 */
    @Excel(name = "外径")
    private Double cc;

    /** 钻头数量 */
    @Excel(name = "钻头数量")
    private Integer ztsl;

    /** 一趟钻率 */
    @Excel(name = "一趟钻率")
    private Double ytzl;

    /** 二趟钻率 */
//    @Excel(name = "二趟钻率")
    private Double etzl;

    /** 三趟钻率 */
//    @Excel(name = "三趟钻率")
    private Double stzl;

    /** 四趟钻率 */
//    @Excel(name = "四趟钻率")
    private Double sitzl;

    /** 五趟钻率 */
//    @Excel(name = "五趟钻率")
    private Double wtzl;

    /** 进尺中位数 */
    @Excel(name = "进尺中位数")
    private Double jcZw;

    /** 进尺最大值 */
    @Excel(name = "进尺最大值")
    private Double jcMax;

    /** 机械钻速中位数 */
    @Excel(name = "机械钻速中位数")
    private Double jxzsZw;

    /** 机械钻速最大值 */
    @Excel(name = "机械钻速最大值")
    private Double jxzsMax;

    /** 起出井深中位数 */
    @Excel(name = "起出井深中位数")
    private Double qsjsZw;

    private String lb;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setZtxh(String ztxh) 
    {
        this.ztxh = ztxh;
    }

    public String getZtxh() 
    {
        return ztxh;
    }

    public void setCj(String cj) 
    {
        this.cj = cj;
    }

    public String getCj() 
    {
        return cj;
    }

    public void setCc(Double cc) 
    {
        this.cc = cc;
    }

    public Double getCc() 
    {
        return cc;
    }

    public void setZtsl(Integer ztsl) 
    {
        this.ztsl = ztsl;
    }

    public Integer getZtsl() 
    {
        return ztsl;
    }

    public void setYtzl(Double ytzl) 
    {
        this.ytzl = ytzl;
    }

    public Double getYtzl() 
    {
        return ytzl;
    }

    public void setEtzl(Double etzl) 
    {
        this.etzl = etzl;
    }

    public Double getEtzl() 
    {
        return etzl;
    }

    public void setStzl(Double stzl) 
    {
        this.stzl = stzl;
    }

    public Double getStzl() 
    {
        return stzl;
    }

    public void setSitzl(Double sitzl) 
    {
        this.sitzl = sitzl;
    }

    public Double getSitzl() 
    {
        return sitzl;
    }

    public void setWtzl(Double wtzl) 
    {
        this.wtzl = wtzl;
    }

    public Double getWtzl() 
    {
        return wtzl;
    }

    public void setJcZw(Double jcZw) 
    {
        this.jcZw = jcZw;
    }

    public Double getJcZw() 
    {
        return jcZw;
    }

    public void setJcMax(Double jcMax) 
    {
        this.jcMax = jcMax;
    }

    public Double getJcMax() 
    {
        return jcMax;
    }

    public void setJxzsZw(Double jxzsZw) 
    {
        this.jxzsZw = jxzsZw;
    }

    public Double getJxzsZw() 
    {
        return jxzsZw;
    }

    public void setJxzsMax(Double jxzsMax) 
    {
        this.jxzsMax = jxzsMax;
    }

    public Double getJxzsMax() 
    {
        return jxzsMax;
    }

    public void setQsjsZw(Double qsjsZw) 
    {
        this.qsjsZw = qsjsZw;
    }

    public Double getQsjsZw() 
    {
        return qsjsZw;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("kc", getKc())
            .append("ztxh", getZtxh())
            .append("cj", getCj())
            .append("cc", getCc())
            .append("ztsl", getZtsl())
            .append("ytzl", getYtzl())
            .append("etzl", getEtzl())
            .append("stzl", getStzl())
            .append("sitzl", getSitzl())
            .append("wtzl", getWtzl())
            .append("jcZw", getJcZw())
            .append("jcMax", getJcMax())
            .append("jxzsZw", getJxzsZw())
            .append("jxzsMax", getJxzsMax())
            .append("qsjsZw", getQsjsZw())
            .toString();
    }
}
